/*!
  \file
  \brief 背景曲の再生

  \author Satofumi KAMIMURA

  $Id: BackMusic.cpp 902 2009-05-18 02:19:37Z satofumi $
*/

#include "BackMusic.h"

using namespace qrk;


struct BackMusic::pImpl
{
  // !!!


  pImpl(void)
  {
  }


  static pImpl* object(void)
  {
    static pImpl singleton_object;
    return &singleton_object;
  }
};


BackMusic::BackMusic(void) : pimpl(pImpl::object())
{
}


BackMusic::~BackMusic(void)
{
}
